<script setup lang="ts">
import { type Product } from '@/types/Product'
import { useProductStore } from '@/stores/product'

const productStore = useProductStore()
const props = defineProps<{
  product: Product
}>()
const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct(Product p)
}>()
const selected = function () {
  console.log('ProductCard: ' + props.product)
  emit('selectedProduct', props.product)
}
</script>
<template>
  <v-sheet width="150" height="180" elevation="5" @click="selected">
    <v-img
      :src="`http://localhost:3000/images/products/${product.image}`"
      height="120"
      cover
    ></v-img>
    <div>
      <v-col>
        <v-row>{{ product.name }} </v-row>
        <v-row :style="{ color: 'gray' }">{{ product.price }} ฿</v-row>
      </v-col>
    </div>
  </v-sheet>
</template>
